posix_fallocate_xfs README
--------------------------

see http://www.j3e.de/linux/libposix_fallocate_xfs/

This library for use via LD_PRELOAD is aimed for systems which use XFS to make
the glibc function posix_fallocate() XFS' efficient preallocation method
which can usually only be used via a xfsctl call.

If you have Linux kernel 2.6.25 or better AND glibc 2.10 or better you don't
need this. In that case posix_fallocate will automatically use fallocate and
thus it will use XFS' unwritten extent method to allocate space.

Otherwise if you have glibc 2.1.94 or better and any Kernel with XFS you can
preload posix_fallocate_xfs.so to speed up preallocation of space with the
posix_fallocate() call. Without posix_fallocate_xfs.so glibc's posix_fallocate
will manually zero-fill the file.

(C)2010 Björn Jacke
See LICENSE for full text of GPLv3
